---
title: '`glab stack switch`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Switch between stacks. (EXPERIMENTAL)

## Synopsis

Switch between stacks to work on another stack created with "glab stack create".
When stack-name is omitted, choose from the list of all stacks.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

```plaintext
glab stack switch [stack-name] [flags]
```

## Examples

```console
# Interactively pick from the list of available stacks.
glab stack switch

# Switch to a specific stack by name.
glab stack switch <stack-name>
```

## Options inherited from parent commands

```plaintext
  -h, --help          Show help for this command.
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```
